// Copyright (c) Microsoft Corporation. 
// Licensed under the MIT license.

using System;
using System.IO;

namespace UnrealBuildTool.Rules
{
	public class SimplygonUObjects : ModuleRules
	{
		public SimplygonUObjects(ReadOnlyTargetRules Target) : base(Target)
		{
			PrecompileForTargets = PrecompileTargetsType.Any;
			// Fix for: "command line is too long to fit in debug record"
			bLegacyPublicIncludePaths = false;
			UnsafeTypeCastWarningLevel = WarningLevel.Warning;
			PublicIncludePaths.AddRange(
				new string[] {
				}
				);

			PrivateIncludePaths.AddRange(
				new string[] 
				{
					"SimplygonUObjects/Private"
				}
				);

			PublicDependencyModuleNames.AddRange(
				new string[]
				{
					"Core",
					"CoreUObject",
					"Engine",		}
				);

			PrivateDependencyModuleNames.AddRange(
				new string[]
				{

				}
				);

			DynamicallyLoadedModuleNames.AddRange(
				new string[]
				{

				}
				);

			if (Target.bBuildEditor == true)
			{
				PublicDependencyModuleNames.Add("MaterialUtilities");
				PublicDependencyModuleNames.Add("Simplygon");
			}
		}
	}
}
